aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKaz Kylheku <kaz@kylheku.com>2025-04-08 00:38:26 -0700
committerKaz Kylheku <kaz@kylheku.com>2025-04-08 00:38:26 -0700
commit1ec0b0b04969a132d205f52e5ed2d24f7b96ea48 (patch)
tree5171b70667109b0fe026fbd4d9647e26c52ae8b3
parent8853f053225f5f63d2210f6989b6ea4823a09aae (diff)
downloadbasta-1ec0b0b04969a132d205f52e5ed2d24f7b96ea48.tar.gz
basta-1ec0b0b04969a132d205f52e5ed2d24f7b96ea48.tar.bz2
basta-1ec0b0b04969a132d205f52e5ed2d24f7b96ea48.zip
fullscreen: bug: quote $args in the eval line.HEADmaster
* basta.sh (basta.fullscreen): The args that we calculated with the help of printf %q is shell syntax; it must be double quoted when we eval.
-rw-r--r--basta.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/basta.sh b/basta.sh
index f2fc432..90f91d2 100644
--- a/basta.sh
+++ b/basta.sh
@@ -338,7 +338,7 @@ basta.fullscreen()
local args=$(printf "%q " "$@")
if ! [ -t 1 ] && ! [ $force ] ; then
- eval command $args
+ eval command "$args"
return $?
fi
@@ -356,7 +356,7 @@ basta.fullscreen()
printf $'\e7\e[1;%sr\e8' $realrows >&$ttyfd
stty rows $realrows <&$ttyfd
- LINES=$realrows eval command $args || exit=$?
+ LINES=$realrows eval command "$args" || exit=$?
if [ $saveterm ] ; then
printf $'\e[?1049l' >&$ttyfd